
var NEWAPI = 'https://api.77du.net/mobileapi'
var getCommentList = NEWAPI + '/subject/comment';
var subjectPraise = NEWAPI + '/subject/praise'; //新闻点赞
var commentPraise = NEWAPI + '/subject/comment/praise'; //评论点赞
var delComment = NEWAPI + '/subject/comment'; //删除评论
var isPraise = NEWAPI + '/subject/praise'; //是否已点赞
var newsFocus = NEWAPI + '/news/focus'; // 详情页焦点新闻
var newsLike = NEWAPI + '/news/like'; // 相似新闻
var playAuth = NEWAPI + '/vod/video/play/auth'; // 获取视频播放凭证
var prefix = 'https://static.77du.net/view/';
var deviceId = '';

if (typeof jsHandler != 'undefined') {
    try {
        deviceId = jsHandler.getDeviceId();
    }
    catch(err) {

    }
   
}

var $oDiv = $('#div1');
if ($oDiv.length > 0) {
    var bodyWidth = $oDiv.width() > 608 ? 608 : $oDiv.width();
    $('.pgc-img-wrapper img').each(function (index, pic) {
    
        var ratio = pic.getAttribute('data-ratio')
        if (ratio) {
            var height = Number(ratio) * bodyWidth
            $(pic).parent().css({
                'height': height
            })
        }
    
    })
}

$(document).ready(function() {
    if (!deviceId) {
        $('.openSeven').show()
    }

    _getCommentList()

    $('.openSeven').click(function() {
        window.location.href = 'https://a.app.qq.com/o/simple.jsp?pkgname=com.qiqidu.mobile'
    })

    //渲染评论列表
    var renderCommentList = function (item) {
        var replyStr = '';
        var replyCom = ''


        if (typeof item.replys != 'undefined') {
            for (var i = 0; i < item.replys.length; i++) {
                var reply = item.replys[i];
                var p = '<p class="person">' + reply.userName + ':' + reply.intro + '</p>';
                replyStr += p;
            }
            if (item.replys.length) {
                replyCom = '<div class = "replyCom">' + replyStr + '</div>';
            }
        }
        var tplStr = '<div class="item clearfix">' +
            '                <img src="' + item.avatar + '" class="avatar">' +
            '                <div class="desc">' +
            '                    <h4 class="title">' + item.userName + '<span class="fr">';

        var praise = ''
        if (item.isPraise) {
            if (item.praise == '0') {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class ="active"></i><span class = "starNum">赞</span></span></span></h4>'
            } else {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class ="active"></i><span class = "starNum">' + item.praise + '</span></span></h4>'
            }

        } else {
            if (item.praise == '0') {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class =""></i><span class = "starNum">赞</span></span></span></h4>'
            } else {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class =""></i><span class = "starNum">' + item.praise + '</span></span></h4>'
            }

        }


        tplStr += praise

        var delReply = '';
        if (item.isCanDelete) {
            delReply = '<span class="fr j-delComment-hock" data-commentid="' + item.id + '">删除</span>'
        } else {
            // delReply = '<span class="fr j-delComment-hock" data-commentid="' + item.id + '">删除</span>'
        }
        var strTwo = '<div class="j-commentDetail-hock" data-commentid="' + item.id + '"><p class="mainCom">' +
            item.intro +
            '                    </p>' +
            '                    <p class="bottomInfo">' +
            '                        <span class="fl">' + item.addTimes + '</span>' +
            '                        <span class="fl">' +
            '                            <span class="reply">' + (item.replyCount && (item.replyCount != 0) ? item.replyCount : '') + '回复' + '</span>' +
            '                        </span>' + delReply + '</p>' +
            '</div>' +
            replyCom +
            '                </div>' +
            '            </div>';

        tplStr += strTwo
        return tplStr

    }

    //获取评论列表
    function _getCommentList() {
    
        var subjectId = $('.j-comment-box').data('newid');

        var params = {
            url: getCommentList,
            method: 'GET',
            data: {
                index: 1,
                size: 5,
                subjectId: subjectId
                // subjectId:'732059500252495872'
            }
        }


        fetch(params, function (res) {
            if (res.code == '000000') {
                var list = res.data.content;
                var total = Number(res.data.total);
                var allStr = ''
                for (var i = 0; i < list.length; i++) {
                    var item = renderCommentList(list[i]);
                    allStr += item
                }

                $('.commentList').html(allStr)
                bindCommentDetail();
                bindCommentStar();
                bindDelComment();

                if (total) {
                    $('.no-readComment').hide();
                    if (!deviceId) {
                        $('.readMore').show();
                    }

                    $('.readComment').show().text('查看全部' + total + '条评论')

                } else {
                    $('.no-readComment').show();

                }


            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })
    }

    $('.newsList .item').click(function() {
        var id = $(this).attr('data-id')
        window.location.href = ''
    })

    initPlayVideo()

    // 初始化音视频
    function initPlayVideo() {
        $('.music-con').css({
            position: 'fixed',
            left: '-9999px',
            width: '375px!important',
            height: '200px'
        })

        $('.player-con').each(function (index, item) {
            var playId = $(item).attr('id');
            var videorid = $(item).attr('videorid')
            var isMusic = $(this).hasClass('music-con')
            getPlayVideoAuth(videorid).then(function(res){
                var data = res.data;
                var player = new Aliplayer({
                    id: playId,
                    // source: "http://player.pier39.cn/video/editor.mp4",
                    width: "100%",
                    height: "252px",
                    cover: data.videoMeta.coverURL || 'https://img.alicdn.com/tps/TB1EXIhOFXXXXcIaXXXXXXXXXXX-760-340.jpg',
                    vid:data.videoMeta.videoId,
                    playauth : data.playAuth,
                    /* 设置封面时需要将 autoplay 和 preload 设置为 false */
                    autoplay: false,
                    preload: false,
                    language: "zh-cn",
                    isLive: false,
                    mediaType: isMusic ? 'audio' : 'video'
                }, function (player) {

                    $(item).css("background-image","url('')");
                    document.querySelector(".time-bound").style.display = "none"
                });


                if (isMusic && !musicInitSuccess && !deviceId) {
                    musicInitSuccess = true
                    var duration = data.videoMeta.duration
                    var min = parseInt(duration / 60)
                    var second = parseInt(147.5813 % 60)

                    $('.newsHeader').after(
                        '<div class="play-wrapper j-play-wrapper">' +
                            '<div class="play-icon j-play-icon"></div>' +
                            '<div class="play-content">' +
                                '<div class="play-title">' + data.videoMeta.title + '</div>' +
                                '<div class="play-info">' +
                                    '<span>' + min + ':' + second + '</span>' +
                                    // '<span style="margin-left: 17px;">21M</span>' +
                                '</div>' +
                            '</div>' +
                            '<div class="progress-bar">' +
                                '<div class="percent j-percent"></div>' +
                            '</div>' +
                        '</div>'
                    )
                    
                    var timer = null
                    var setPercent = function() {
                        setInterval(function() {
                            var status = player.getStatus()

                            if (status !== 'playing') return

                            var currentTime = player.getCurrentTime()
                            var duration = player.getDuration()
                            var percent = Math.ceil(currentTime / duration * 100)
                            $('.j-percent').css({
                                width: percent + '%'
                            })
                        }, 500)
                    }

                    $('.j-play-icon').click(function() {
                        clearInterval(timer)
                        var status = player.getStatus()
                        if (status === 'playing') {
                            player.pause()
                            $(this).removeClass('active')
                        } else {
                            player.play()
                            $(this).addClass('active')
                            setPercent()
                        }
                    })
                }
            }).catch(console.log)

            
        })
    }

    // 获取视频播放凭证
    function getPlayVideoAuth(videoId) {
        var params = {
            url: playAuth,
            method: 'GET',
            data: {
                videoId: videoId
            }
        };
      
        return new Promise(function(resolve, reject){
          
            fetch (params, function (res) {
                if (res.code == '000000') {
                    resolve(res)
                } else {
                    // var oConfirm = new createDialog({
                    //     'content': '网络异常',
                    //     'callBack': function () {
                    //         oConfirm.closeTpl();
                    //     }
                    // })
                }
            });
        })

    }

    //查看评论详情
    function bindCommentDetail() {
        $('.j-commentDetail-hock').click(function () {

            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');

            // $('.title').text(commentid)
            if (typeof jsHandler != 'undefined') {
                jsHandler.toCommentDetails(commentid);
            }
        })
    }

    function bindCommentStar() {
        $('.j-commentStar-hock').click(function (event) {
            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');


            if (!$this.find('.active').length) {
                var params = {
                    url: commentPraise + '?commentId=' + commentid,
                    method: 'POST',
                }

                fetch(params, function (res) {

                    if (res.code == '000000') {
                        var starNum = $this.find('.starNum').text();
                        $this.find('i').addClass("active");
                        if (starNum == '赞') {
                            $this.find('.starNum').text(1)
                        } else {
                            $this.find('.starNum').text(Number(starNum) + 1)
                        }
                    } else {}

                })
            } else {
                var params = {
                    url: commentPraise + '?commentId=' + commentid,
                    method: 'DELETE'
                }

                fetch(params, function (res) {

                    if (res.code == '000000') {
                        $this.find('i').removeClass("active");
                        var starNum = $this.find('.starNum').text();
                        if (starNum == '赞') {
                            $this.find('.starNum').text('赞')
                        } else {
                            if ((Number(starNum) - 1) == 0) {

                                $this.find('.starNum').text('赞')
                            } else {
                                $this.find('.starNum').text(Number(starNum) - 1)
                            }

                        }
                    } else {}

                })
            }
            event.stopPropagation();
            return false
        })
    }

    //删除评论
    function bindDelComment() {
        $('.j-delComment-hock').click(function (event) {

            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');
            var params = {
                url: delComment + '?id=' + commentid,
                method: 'DELETE',
            }

            var oConfirm = new createDialog({
                'type': 'confirm',
                'content': '确定删除此评论',
                'btnSureText': '删除',
                'callBack': function () {
                    oConfirm.closeTpl();
                    fetch(params, function (res) {
                        if (res.code == '000000') {
                            $this.parent().parent().parent().parent().remove();
                        } else {
                            // oConfirm = new createDialog({
                            //     'content': '网络异常',
                            //     'callBack': function () {
                            //         oConfirm.closeTpl();
                            //     }
                            // })
                        }
                    })
                }
            });

            event.stopPropagation();
            return false
        })

    }

    //渲染新闻列表
    function renderNewsLike(list) {
        var tpl = '';
        list.forEach(function (item, index) {
            tpl += ' <div class="item clearfix" data-id="' + item.id + '">' +
                '                    <div class="desc">' +
                '                        <p class="title">' + item.title +
                '                    </p>' +
                '                  <p class="bottomInfo"><span class="newsType">' + item.category.name + '</span><span class="createTime">' + item.publishTimes + '</span></p>' +
                '                </div>' +
                '              <img class="pic" src="' + prefix + item.covers[0].fileUrl + '">' +
                '        </div>';
        })

        $('.newsList').html(tpl)
    }

    //获取相似新闻
    function getNewsLike() {
        var subjectId = $('#j-readAllComment-hock').data('newid');
        var params = {
            url: newsLike,
            method: 'GET',
            data: {
                subjectId: subjectId
            }
        }
        fetch(params, function (res) {
            if (res.code == '000000') {
                renderNewsLike(res.list)
                bindNewsLinkHandler();
                // if(!deviceId){
                //     renderNewsLike(res.list)
                //     bindNewsLinkHandler()
                // }else{
                //     $('.weRead').remove();
                // }
            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })
    }

    getNewsLike()
})