define(function (require, exports, module) {

    var exhApi = require('../api/exhib.js')
    var validation = require('./utils/validation.js')
    var fetch = require('fetch');
    var inputScroll = require('inputScroll');
    var prefix = 'https://static.77du.net/view/'
    var shareDetail = require('./ui/shareDetail.js')
    var deviceId = '';
    if (typeof jsHandler != 'undefined') {
        deviceId = jsHandler.getDeviceId();
    }
    inputScroll()

    function checkArticleHeight() {
        var height = $('#j-newsContainer-hock').height();

        if (height > 500) {
            $('#j-newsContainer-hock').css({
                'height': '300px'
            });
        } else {
            $('.unflod-field__mask').remove();
        }
        $('.unflod-field__mask').click(function () {
            var $this = $(this);
            if ($this.hasClass('show')) {
                $this.removeClass('show');

                $('#j-newsContainer-hock').css({
                    'height': '300px'
                });
            } else {

                $('#j-newsContainer-hock').css({
                    'height': 'auto'
                })
                $this.addClass('show');
            }


        })

    }


    //获取展会详情
    function _getExhDetailById() {
        var params = {
            url: exhApi.getExhDetailById + '/767616322493218816',
            method: 'GET'
        }

        fetch(params, function (res) {
            if (res.code == '000000') {
                shareDetail(res.data);
            } else {

            }
        })
    }
    var init = function () {

        // checkArticleHeight();
        _getExhDetailById();
        //设置图片未加载时候的默认背景
        var $oDiv = $('body')
        $('.pgc-img-wrapper img').each(function (index, pic) {

            var ratio = pic.getAttribute('data-ratio')
            if (ratio) {
                var height = Number(ratio) * $oDiv.width()
                $(pic).parent().css({
                    'height': height
                })
                console.log('mo-height', height)
            }

        })

        var offset = 0;
        //判断img是否出现在可视窗口
        function _isShow(el) {
            var coords = el.getBoundingClientRect();

            return (coords.left >= 0 && coords.left >= 0 && coords.top) <= (document.documentElement.clientHeight || window.innerHeight) + parseInt(offset) + 400;
        };

        $('.newsContainer img').each(function (index, img) {
            var src = img.getAttribute('src')
            if (src) {
                img.setAttribute('data-src', src)
                img.src = ''
            }
        })

        function loadImg(img) {
            var show = _isShow(img)
            if (show) {
                var src = img.getAttribute('data-src')
                var oNowSrc = img.getAttribute('src')
                if (!oNowSrc) {
                    var oImg = new Image();
                    oImg.src = src;
                    oImg.onload = function () {
                        img.src = src
                        $(img).animate({
                            'opacity': 1
                        }, 500)
                    }
                }
            }
        }

        $('.newsContainer img').each(function (index, img) {
            loadImg(img)
        })
        // 图片懒加载
        $('.newsContainer img').each(function (index, img) {
         
            $('#div1').scroll(function () {
                alert('1')
                loadImg(img)
            })
            $(document).scroll(function () {
                alert('2')
                loadImg(img)
            })
        })

    }
    exports.init = init;
})