new Vue({
    el: '#industry',
    data: {
        industryList: [],
        initSuccess: false
    },
    created: function() {
        typeof jsHandler == 'undefined' && this.getIndustry()
    },
    methods: {
        getIndustry: function() {
            var self = this

            $.ajax({
                type: 'get',
                url: 'https://api.77du.net/toutiaoapi/bid/stat/industry',
                success: function(res) {
                    if (res.code === '000000') {
                        self.industryList = res.list
                        self.initSuccess = true
                    }
                }
            })
        },
        toSearch: function(e, industry) {
            window.location.href = industry ? 'https://www.77du.net/bid-main/search.html?industry=' + encodeURIComponent(industry) : './search.html'
        },
    },
})
