var NEWAPI = 'https://api.77du.net/mobileapi'
var getCommentList = NEWAPI + '/subject/comment';
var subjectPraise = NEWAPI + '/subject/praise'; //新闻点赞
var commentPraise = NEWAPI + '/subject/comment/praise'; //评论点赞
var delComment = NEWAPI + '/subject/comment'; //删除评论
var isPraise = NEWAPI + '/subject/praise'; //是否已点赞
var newsFocus = NEWAPI + '/news/focus'; // 详情页焦点新闻
var newsLike = NEWAPI + '/news/like'; // 相似新闻
var playAuth = NEWAPI + '/vod/video/play/auth'; // 获取视频播放凭证
var playUrl = NEWAPI + '/vod/video/play/url'; // 获取音视频url
var prefix = 'https://static.77du.net/view/';
var deviceId = '';

// var containerHtml = $('.newsContainer').html()
// $('.newsContainer').html(containerHtml.replace(/&nbsp;/g, ' '))

if (typeof jsHandler != 'undefined') {

    deviceId = jsHandler.getDeviceId();

}

var $oDiv = $('#div1');
if ($oDiv.length > 0) {
    var bodyWidth = $oDiv.width() > 608 ? 608 : $oDiv.width();
    $('.pgc-img-wrapper img').each(function (index, pic) {
    
        var ratio = pic.getAttribute('data-ratio')
        if (ratio) {
            var height = Number(ratio) * bodyWidth
            $(pic).parent().css({
                'height': height
            })
        }
    
    })
}

var players = []

// 原始音频播放时停止h5播放
window.stopAliMediaPlayer = function() {
    for (var i = 0; i < players.length; i++) {
        var item = players[i]
        item.stop(item.player)
    }
}

$(function () {
    //设置文章标题
    $('#j-newTitel-hock').text('文章标题')
    var $cusSwiper = $('.cus-swiper');
    //遍历所有图集，然后组装生成完整的轮播图结构
    $cusSwiper.each(function (index, swiper) {
        var $imgs = $(swiper).find('img');

        $imgs.each(function (index, img) {
            $(img).wrap('<div class="swiper-slide"/>')
        })

        $(swiper).find('.swiper-slide').wrapAll('<div class="swiper-wrapper" />')
        $(swiper).find('.swiper-wrapper').wrapAll('<div class="swiper-container" />')
        var $picNum = $('<span class="picNum groupImage" contenteditable="false">' +
            '<span contenteditable="false" class="nowPicNum">1</span>/<span class="allPicNum"></span>' +
            '</span>')
        $(swiper).find('.swiper-container').addClass('tabBanner')
        $(swiper).find('.swiper-container').append($picNum)
    });

    var $oDiv = $('#div1');
    var bodyWidth = $oDiv.width() > 608 ? 608 : $oDiv.width();

    var setSwiperHeight = function () {
        var $aSwiper = $('.swiper-wrapper');

        $aSwiper.each(function (index, swiper) {

            var $img = $($(swiper).find('img')[0]);
            var ratio = $img.data('ratio');
            var height = ratio * bodyWidth
            // console.log('ok~~', swiper, height)
            // $('.weRead').append('height'+height)
            $(swiper).css({
                'height': height
            })

        })
    }

    setTimeout(function () {
        setSwiperHeight()
    }, 20)

    //设置图片未加载时候的默认背景
    $('.pgc-img-wrapper img').each(function (index, pic) {

        var ratio = pic.getAttribute('data-ratio')
        if (ratio) {
            var height = Number(ratio) * bodyWidth
            $(pic).parent().css({
                'height': height
            })
            // console.log('mo-height', height)
        }

    })

    var offset = 0;
    //判断img是否出现在可视窗口
    function _isShow(el) {
        var coords = el.getBoundingClientRect();

        return (coords.left >= 0 && coords.left >= 0 && coords.top) <= (document.documentElement.clientHeight || window.innerHeight) + parseInt(offset) + 400;
    };

    $('.newsContainer img').each(function (index, img) {
        var src = img.getAttribute('src')
        if (src) {
            img.setAttribute('data-src', src)
            img.src = ''
        }
    })


    function loadImg(img) {
        var show = _isShow(img)
        if (show) {
            var src = img.getAttribute('data-src')
            var oNowSrc = img.getAttribute('src')
            if (!oNowSrc) {
                var oImg = new Image();
                oImg.src = src;
                oImg.onload = function () {
                    img.src = src
                    $(img).animate({
                        'opacity': 1
                    }, 500)
                }
            }
        }
    }
    $('.newsContainer img').each(function (index, img) {
        loadImg(img)
    })
    // 图片懒加载
    $('.newsContainer img').each(function (index, img) {
        $('#div1').scroll(function () {
            loadImg(img)
        })
        $(document).scroll(function () {
            loadImg(img)
        })
    })

    var swiper = new Swiper('.tabBanner.swiper-container', {
        on: {
            init: function () {

                this.$el.find('.allPicNum').text(this.imagesToLoad.length);
                this.slideTo(0, 1000, false); //切换到第一个slide，速度为1秒
            },
            touchEnd: function () {
                // swiper.$el.find('.nowPicNum').text(swiper.activeIndex + 1)
            },
            slideChangeTransitionEnd: function () {
                this.$el.find('.nowPicNum').text(this.activeIndex + 1)
                $('.tabNews .newsContainer').hide();
                $($('.tabNews .newsContainer')[this.activeIndex]).fadeIn(200);
            }
        },
        autoHeight: true, //enable auto height
        spaceBetween: 20,
        slidesPerView: 1,

        pagination: {
            el: '.swiper-pagination',
            clickable: true,
        },

        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },

    });

    var $allImg = $('#div1').find('img');

    $allImg.each(function (index, img) {
        var $img = $(img)
        var ratio = $img.data('ratio');
        $img.css({
            'height': ratio * bodyWidth
        })
    })
    

    //检查是否是媒体账号，
    let mpid=$('#media_accounts .icon-type').attr('mp')
    if(!mpid){
        $('#media_accounts img').remove()
    }
    $('#media_accounts').click(function(){
        if(!mpid) return
        if (typeof jsHandler != 'undefined') {
            jsHandler.toMediaDetail(mpid)
        }else{
            window.location.href = 'http://www.77d.cn/mp/index.html?id='+mpid
        }
    })

    //渲染评论列表
    var renderCommentList = function (item) {

        return generateCommentItem(item)

        // var replyStr = '';
        // var replyCom = ''


        // if (typeof item.replys != 'undefined') {
        //     for (var i = 0; i < item.replys.length; i++) {
        //         var reply = item.replys[i];
        //         var p = '<p class="person">' + reply.userName + ':' + reply.intro + '</p>';
        //         replyStr += p;
        //     }
        //     if (item.replys.length) {
        //         replyCom = '<div class = "replyCom">' + replyStr + '</div>';
        //     }
        // }
        // var tplStr = '<div class="item clearfix">' +
        //     '                <img src="' + item.avatar + '" class="avatar">' +
        //     '                <div class="desc">' +
        //     '                    <h4 class="title">' + item.userName + '<span class="fr">';

        // var praise = ''
        // if (item.isPraise) {
        //     if (item.praise == '0') {
        //         praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class ="active"></i><span class = "starNum">赞</span></span></span></h4>'
        //     } else {
        //         praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class ="active"></i><span class = "starNum">' + item.praisedNumber + '</span></span></h4>'
        //     }

        // } else {
        //     if (item.praise == '0') {
        //         praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class =""></i><span class = "starNum">赞</span></span></span></h4>'
        //     } else {
        //         praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class =""></i><span class = "starNum">' + item.praisedNumber + '</span></span></h4>'
        //     }

        // }


        // tplStr += praise

        // var delReply = '';
        // if (item.isCanDelete) {
        //     delReply = '<span class="fr j-delComment-hock" data-commentid="' + item.id + '">删除</span>'
        // } else {
        //     // delReply = '<span class="fr j-delComment-hock" data-commentid="' + item.id + '">删除</span>'
        // }
        // var strTwo = '<div class="j-commentDetail-hock" data-commentid="' + item.id + '"><p class="mainCom">' +
        //     item.intro +
        //     '                    </p>' +
        //     '                    <p class="bottomInfo">' +
        //     '                        <span class="fl">' + item.addTimes + '</span>' +
        //     '                        <span class="fl">' +
        //     '                            <span class="reply">' + (item.replyCount && (item.replyCount != 0) ? item.replyCount : '') + '回复' + '</span>' +
        //     '                        </span>' + delReply + '</p>' +
        //     '</div>' +
        //     replyCom +
        //     '                </div>' +
        //     '            </div>';

        // tplStr += strTwo
        // return tplStr

    }

    // 生成评论
    function generateCommentItem(data, now) {
        var images = data.images || []
        var imageClassData = {
            1: 'single',
            4: 'four',
            9: 'default',
            default: 'default'
        }

        var itemClass = images.length > 0 ? 'has-image' : ''
        var imageClass = imageClassData[images.length] || imageClassData.default

        var imageHtml = ''
        if (images.length) {
            imageHtml = '<div class="thumbnail-list-wrapper j-thumbnail-list-wrapper">'
            images.forEach(function(item) {
                imageHtml += '<div class="thumbnail-item ' + imageClass + '" data-url="' + item.fileUrl + '" style="background-image: url(' + item.fileUrl + ');"> </div>'
            })
            imageHtml += '</div>'
        }

        // var hideHtml = 'style="display: none;"'
        
        var delHtml = data.isCanDelete
            ? '<div class="action-item j-delComment-hock" data-commentid="' + data.id + '">' +
                '<span>删除</span>' +
            '</div>'
            : ''

        return '<li class="item ' + itemClass + '">' +
            '<img class="avatar" src="' + data.avatar + '" alt="">' +
            '<div class="body">' +
                '<div class="name">' + data.userName + '</div>' +
                '<div class="comment-wrapper">' +
                    '<div class="comment">' + data.intro + '</div>' +
                    imageHtml +
                    '<div class="info">' +
                        '<span class="time">' + data.addTimes + '</span>' +
                        '<div class="action">' + delHtml + 
                            '<div class="action-item j-commentDetail-hock" data-commentid="' + data.id + '">' +
                                '<span>回复</span>' +
                                '<span class="text">' + (data.replyCount > 0 ? transNum(data.replyCount) : '') + '</span>' +
                            '</div>' +
                            '<div class="action-item j-commentStar-hock ' + (data.isPraise ? 'active' : '') + '" data-commentid="' + data.id + '">' +
                                '<span class="like"></span>' +
                                '<span class="text">' + (data.praisedNumber > 0 ? transNum(data.praisedNumber) : '赞') + '</span>' +
                            '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>' +
            '</div>' +
        '</li>'
    }

    function transNum(num) {
        num = +num
    
        if (num >= 1000) {
            return (num / 1000).toFixed(1) + 'K'
        }
    
        return num
    }


    var initPreviewSwiperFlag = false
    function initPreviewSwiper() {
        if (initPreviewSwiperFlag) return

        initPreviewSwiperFlag = true
        
        var swiper

        $('.comment-list').on('click', '.j-thumbnail-list-wrapper .thumbnail-item', function() {
            var index = $(this).parent().children('.thumbnail-item').index($(this))
            var images = []
            $(this).parent().find('.thumbnail-item').each(function() {
                var url = $(this).attr('data-url')
                images.push(url)
            })

            var html = ''
            images.forEach(function(url) {
                html += '<div class="swiper-slide"><img src="' + url + '" /></div>'
            })
            $('.j-preview-wrapper .swiper-wrapper').html(html)
            $('.j-preview-wrapper').addClass('active')

            swiper = _initPreviewSwiper(index)
        })

        function _initPreviewSwiper(index) {
            var swiper = new Swiper('.j-preview-swiper-container', {
                pagination: {
                    el: '.j-preview-swiper-pagination'
                },
                initialSlide: index
            })

            return swiper
        }

        $('.j-preview-wrapper').click(function() {
            $('.j-preview-wrapper').removeClass('active')
            swiper.destroy()
            swiper = null
            $('.j-preview-wrapper .swiper-wrapper').html('')
        })
    }

    //元素调用加载新评论
    window.appendComment = function (commentId) {

        var subjectId = $('#j-readAllComment-hock').data('newid');
        var params = {
            url: getCommentList,
            // url:'https://api.jjrw.com/toutiao-mobile-rest/subject/comment',
            method: 'GET',
            data: {
                index: 1,
                size: 10,
                subjectId: subjectId
                // subjectId:'724519197278732288'
            }
        }

        // $('tit').appendChild(JSON.stringify(params))

        fetch(params, function (res) {
            if (res.code == '000000') {
                var list = res.data.content;
                var total = Number(res.data.total)
                var allStr = ''
                for (var i = 0; i < list.length; i++) {
                    var item = renderCommentList(list[i]);
                    allStr += item
                }

                $('.commentList').html(allStr)
                $('.j-comment-list').show()
                initPreviewSwiper()
                list.length && $('.j-comment-placehodler').hide()
                bindCommentDetail();
                bindCommentStar();
                bindDelComment();
                var scrollHeight = document.body.scrollHeight;
                var clientHeight = $(window).height();
                var oCommentTop = $(".commentList").offset().top;
                if (scrollHeight + clientHeight > oCommentTop) {
                    $("html,body").animate({
                        scrollTop: oCommentTop - 100
                    }, 600);
                }

                if (total) {
                    // $('.no-readComment').hide();
                    $('.j-comment').eq(0).hide()
                    $('.readComment').show().text('查看全部' + total + '条评论')
                } else {
                    // $('.no-readComment').show();
                    $('.readComment').hide();
                    $('.j-comment').eq(0).show()

                }
                $('.j-comment').eq(1).hide()
                $('.no-readComment').show();
            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })
    }
    // appendComment()

    //查看所有评论
    function bindReadAllComment() {
        $('#j-readAllComment-hock').click(function () {
            var $this = $(this);
            var newid = $this.data('newid');
            // $('.title').text(newid)

            if (typeof jsHandler != 'undefined') {
                jsHandler.toCommentList(newid);
            }
        })
    }

    //查看评论详情
    function bindCommentDetail() {
        $('.j-commentDetail-hock').click(function () {

            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');

            // $('.title').text(commentid)
            if (typeof jsHandler != 'undefined') {
                jsHandler.toCommentDetails(commentid);
            }
        })
    }

    //删除评论
    function bindDelComment() {
        $('.j-delComment-hock').click(function (event) {

            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');
            var params = {
                url: delComment + '?id=' + commentid,
                method: 'DELETE',
            }

            var oConfirm = new createDialog({
                'type': 'confirm',
                'content': '确定删除此评论',
                'btnSureText': '删除',
                'callBack': function () {
                    oConfirm.closeTpl();
                    fetch(params, function (res) {
                        if (res.code == '000000') {
                            $this.closest('.item').remove();
                            var total = $('.j-comment-list').find('.item').length
                            if (total > 0) {
                                $('.readComment').show().text('查看全部' + total + '条评论')
                            } else {
                                $('.readComment').hide()
                                $('.j-comment-list').hide()
                                $('.j-comment-placehodler').show()
                            }
                        } else {
                            // oConfirm = new createDialog({
                            //     'content': '网络异常',
                            //     'callBack': function () {
                            //         oConfirm.closeTpl();
                            //     }
                            // })
                        }
                    })
                }
            });

            event.stopPropagation();
            return false
        })

    }

    //评论点赞
    function bindCommentStar() {
        $('.j-commentStar-hock').click(function (event) {
            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');


            if (!$this.hasClass('active')) {
                var params = {
                    url: commentPraise + '?commentId=' + commentid,
                    method: 'POST',
                }

                fetch(params, function (res) {

                    if (res.code == '000000') {
                        // var starNum = $this.find('.starNum').text();
                        // $this.find('i').addClass("active");
                        var starNum = $this.find('.text').text()
                        $this.addClass("active");
                        if (starNum == '赞') {
                            $this.find('.text').text(1)
                        } else {
                            $this.find('.text').text(Number(starNum) + 1)
                        }
                    } else {}

                })
            } else {
                var params = {
                    url: commentPraise + '?commentId=' + commentid,
                    method: 'DELETE'
                }

                fetch(params, function (res) {

                    if (res.code == '000000') {
                        // $this.find('i').removeClass("active");
                        // var starNum = $this.find('.starNum').text();
                        var starNum = $this.find('.text').text()
                        $this.removeClass("active");
                        if (starNum == '赞') {
                            $this.find('.text').text('赞')
                        } else {
                            if ((Number(starNum) - 1) == 0) {

                                $this.find('.text').text('赞')
                            } else {
                                $this.find('.text').text(Number(starNum) - 1)
                            }

                        }
                    } else {}

                })
            }
            event.stopPropagation();
            return false
        })
    }

    //新闻点赞
    function bindSubjectPraise() {
        $('#j-subjectPraise-hock').click(function () {
            var $this = $(this);
            var subjectId = $this.data('newid');


            //取消赞
            if ($this.hasClass('active')) {
                // alert('取消赞')
                var subjectId = $this.data('newid');

                var params = {
                    url: subjectPraise + '?id=' + subjectId,
                    method: 'DELETE',
                }

                fetch(params, function (res) {
                    // alert(JSON.stringify(res))
                    if (res.code == '000000') {
                        if (res.data.isPraised) {
                            $this.addClass("active");
                        } else {
                            $this.removeClass("active");

                        }
                        if (res.data.praisedNumber == '0') {

                            $('.j-subjectPraise-num').text('')
                        } else {
                            $('.j-subjectPraise-num').text(res.data.praisedNumber)
                        }
                    } else {

                    }

                })

            } else {
                // alert('赞')
                var params = {
                    url: subjectPraise + '?id=' + subjectId,
                    method: 'POST',
                }
                fetch(params, function (res) {
                    // alert(JSON.stringify(res))
                    if (res.code == '000000') {
                        $this.addClass("active")
                        $('.j-subjectPraise-num').text(res.data.praisedNumber)
                    } else {

                    }

                })

            }

        })
    }

    //分享到朋友圈和微信
    function bindShare() {
        $('.j-share-hock').click(function () {

            var $this = $(this);
            var type = Number($this.data('type'));
            var shareType = Number($this.data('sharetype'))
            var newsId = $('#j-subjectPraise-hock').data('newid');
            var title = $('.j-title-hock').text();
            var intro = $('.abstract p').text();
            var info = {
                "title": title,
                "shareDescription": intro,
                "linkUrl": 'http://www.xn--77-792d.com/news/' + newsId + '.html',
                "shareType": shareType,
                "previewImgUrl": "https://www.77du.net/77du.png"
            }

            if (typeof (jsHandler) !== 'undefined') {

                jsHandler.shareWithInfo(type, JSON.stringify(info));

            } else {}
        })
    }

    //获取文章是否已点赞
    function getIsPraise() {

        var subjectId = $('#j-readAllComment-hock').data('newid');

        var params = {
            url: isPraise,
            method: 'GET',
            data: {
                id: subjectId
                // id: 734210140969893888
            }
        }

        fetch(params, function (res) {
            // alert(JSON.stringify(res))
            if (res.code == '000000') {

                var isPraised = res.data.isPraised;
                if (isPraised) {

                    $('#j-subjectPraise-hock').addClass('active');


                }
                if (res.data.praisedNumber != '0') {
                    $('.j-subjectPraise-num').text(res.data.praisedNumber);
                }

                // alert(res.data.praisedNumber)
            } else {
                if (res.code != '1201001') {
                    // var oConfirm = new createDialog({
                    //     'content': '网络异常',
                    //     'callBack': function () {
                    //         oConfirm.closeTpl();
                    //     }
                    // })
                }
            }

        })

    }

    //获取评论列表
    function _getCommentList() {

        var subjectId = $('#j-readAllComment-hock').data('newid');

        var params = {
            url: getCommentList,
            method: 'GET',
            data: {
                index: 1,
                size: 5,
                subjectId: subjectId
                // subjectId:'732059500252495872'
            }
        }


        fetch(params, function (res) {
            if (res.code == '000000') {
                var list = res.data.content;
                var total = Number(res.data.total);
                var allStr = ''
                for (var i = 0; i < list.length; i++) {
                    var item = renderCommentList(list[i]);
                    allStr += item
                }

                $('.commentList').html(allStr)
                initPreviewSwiper()
                list.length && $('.j-comment-placehodler').hide()
                bindCommentDetail();
                bindCommentStar();
                bindDelComment();

                if (total) {
                    // $('.no-readComment').hide();
                    $('.j-comment').eq(0).hide()
                    $('.j-comment').eq(1).show()
                    if (!deviceId) {
                        $('.readMore').show();
                    }

                    typeof jsHandler != 'undefined' && $('.readComment').show().text('查看全部' + total + '条评论')

                } else {
                    // $('.no-readComment').show();
                    $('.j-comment').eq(0).show()
                    $('.j-comment').eq(1).hide()
                }
                $('.no-readComment').show()

            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })
    }

    //获取焦点新闻
    function getNewsFocus() {


        if (!deviceId) {
            $('.newControl').hide();
            var params = {
                url: newsFocus,
                method: 'GET',
            }

            fetch(params, function (res) {
                if (res.code == '000000') {
                    var list = res.list;
                    $('.downloadApp').show();
                    var liStr = ''
                    if (bodyWidth == 608) {
                        $('.downloadApp').css({
                            'left': '50%',
                            'max-width': '608px',
                            'margin-left': '-304px'
                        })
                    }
                    for (var i = 0; i < list.length; i++) {
                        liStr += '<div class="swiper-slide"><a href = "http://www.77度.com/news/' + list[i].contentId + '.html"><p>' + list[i].title + '</p></a></div>'
                    }

                    $('.downloadApp .swiper-wrapper').append($(liStr))

                    var downLoadSwiper = new Swiper('.downloadApp .swiper-container', {
                        on: {
                            slideChange: function () {
                                if (this.realIndex == 0) {
                                    $('#j-nowOpenApp-hock').hide();
                                    $('#j-downLoadApp-hock').show()
                                } else {
                                    $('#j-nowOpenApp-hock').show();
                                    $('#j-downLoadApp-hock').hide()
                                }

                            },
                        },
                        loop: true,
                        autoplay: true,
                        pagination: {
                            el: '.swiper-pagination',
                            clickable: true,
                        },

                        navigation: {
                            nextEl: '.swiper-button-next',
                            prevEl: '.swiper-button-prev',
                        },

                    });

                    // $('.openApp').click(function () {
                    //     var agent = checkAgent();
                    //     console.log('agent', agent)
                    //     if (agent == 'Android') {
                    //         window.location.href = "http://a.app.qq.com/o/simple.jsp?pkgname=com.qiqidu.mobile"
                    //     } else {
                    //         window.location.href = "itms-apps://itunes.apple.com/cn/app/id1438339209?mt=8"
                    //     }
                    // })
                } else {
                    // var oConfirm = new createDialog({
                    //     'content': '网络异常',
                    //     'callBack': function () {
                    //         oConfirm.closeTpl();
                    //     }
                    // })
                }

            })
        }
    }

    //跳转
    function bindJumpLink() {
        //反馈
        $('.linkToFeedback').click(function () {
            jsHandler.toFeedBack()
        })
        //报道
        $('.linkToBaoDao').click(function () {
            jsHandler.toReport()
        })

        //在线投稿爆料
        $('.onlineConcact').click(function () {
            jsHandler.toBurst()
        })


        $('.writeWrap').click(function () {
            jsHandler.toBurst()
        })


    }

    //展会推荐
    function bindExhRec() {



        $('.recommendList').delegate('li', 'click', function () {

            var $this = $(this);
            var contentType = $($this.find('div')[0]).data('contenttype');
            var id = $($this.find('div')[0]).data('id');
            var contentSubType = Number($($this.find('div')[0]).data('contentsubtype'));
            var mediaType = Number($($this.find('div')[0]).data('mediatype'));

            
            if (typeof jsHandler != 'undefined') {
                jsHandler.openNativePage(contentType, contentSubType, id, mediaType, 0, 0, 0, 0)
            }else{
                window.location.href = 'https://www.77du.net/exhibition/index.html?id='+id
            }

        })

    }
    //点击沙发唤起键盘
    function bindSofa() {
        $('.sofa').click(function () {

            var newsId = $('#j-subjectPraise-hock').data('newid');
            if (typeof jsHandler != 'undefined') {
                jsHandler.commentWithType(1, newsId)
            }

        })
    }

    //微信和app不同情况下内容的处理
    function H5handler() {
        if (!deviceId) {
            $('.weixin_guanggao').show();
            $('.openSeven').show();
            $('.disclaimer h4').addClass('weixin')
            $('.disclaimer p').addClass('weixin')
            $('.shareRightTop').show();
            $('.zanWrap').hide()
            $('.writeWrap').hide()
            $('.encourage').hide()
            $('.newsControl').hide()
            $('.j-download-app').show()
            $('.app_guanggao').show();
            $('.app_guanggao').click(function() {
                window.location.href = 'https://www.77du.net/exhibition/index.html?id=946291210966794240'
            })
            // $('#img-ad').css('display', 'flex')
            $('.fixed-wrapper').addClass('active')
            setInterval(function() {
                $('.download-app-icon img').toggle()
            }, 3000)
        } else {
            $('.app_guanggao').show();
            $('.onlineConcact').show();
            $('.app_guanggao').click(function() {
                // jsHandler.openUrlWithNative('https://www.77du.net/live/#/live/foreshow/956473099887312896')
                // jsHandler.toNewsDetail('851030028173967360')
                jsHandler.openNativePage(3, 0, '946291210966794240', 0,0,0,0,0)
            })
        }
    }

    //渲染新闻列表
    function renderNewsLike(list) {
        var tpl = '';
        list.forEach(function (item, index) {
            var url = ''

            if (item.covers && item.covers.length > 0) {
                url = item.covers[0].fileUrl
                if (item.covers[0].fileUrl.slice(0, 4) !== 'http') {
                    url = prefix + item.covers[0].fileUrl
                }
            }

            tpl += ' <div class="item clearfix" data-id="' + item.id + '">' +
                '                    <div class="desc">' +
                '                        <p class="title">' + item.title +
                '                    </p>' +
                '                  <p class="bottomInfo"><span class="newsType">' + item.category.name + '</span><span class="createTime">' + item.publishTimes + '</span></p>' +
                '                </div>' +
                '              <img class="pic" src="' + url + '">' +
                '        </div>';
        })

        // console.log(tpl)
        $('.newsList').html(tpl)
    }

    function bindNewsLinkHandler() {
        $('.newsList').find('div.item').click(function () {
            var linkId = $(this).data('id');
            if (!deviceId) {
                window.location.href = 'https://www.77du.net/news/' + linkId + '.html?timestamp=' + new Date().getTime()
            } else {
                jsHandler.toNewsDetail(linkId)
            }
        })
    }
    //获取相似新闻
    function getNewsLike() {
        var subjectId = $('#j-readAllComment-hock').data('newid');
        var params = {
            url: newsLike,
            method: 'GET',
            data: {
                subjectId: subjectId
            }
        }
        fetch(params, function (res) {
            if (res.code == '000000') {
                // console.log('newslistREADY')
                renderNewsLike(res.list)
                bindNewsLinkHandler();
                // if(!deviceId){
                //     renderNewsLike(res.list)
                //     bindNewsLinkHandler()
                // }else{
                //     $('.weRead').remove();
                // }
            } else {

                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })

            }

        })
    }

    // function checkArticleHeight() {

    //     var height = $('.videoContainer').height();
    //     if (height > 150) {

    //         $('.videoContainer').css({
    //             'height': '150px'
    //         });

    //     } else {
    //         $('.unflod-field__mask').remove();
    //         $('#j-showSubject-hock').remove();
    //     }
    //     $('#j-showSubject-hock').click(function () {
    //         var $this = $(this);
    //         if ($this.hasClass('show')) {
    //             $this.removeClass('show');

    //             $('.videoContainer').css({
    //                 'height': '120px'
    //             });
    //             $('.unflod-field__mask').show();
    //         } else {

    //             $('.videoContainer').css({
    //                 'height': 'auto'
    //             })
    //             $('.unflod-field__mask').hide();
    //             $this.addClass('show');
    //         }
    //     })
    // }

    //视频结束后可选择的操作
    var videoEndSetHtml = '<div class = "videoEndSet"><div class = "replay"><span class= "icon-replay"></span><p>重新播放</p></div><div class = "replay"></div></div>'
    var videoEndSetComponent = Aliplayer.Component({
        init: function (adAddress, toAddress) {
            this.adAddress = adAddress;
            this.toAddress = toAddress;
            this.$html = $(videoEndSetHtml);
        },
        createEl: function (el) {
            var play = this;
            $(el).append(this.$html);
            this.$html.hide();
        },
        ready: function (player, e) {
            this.$html.hide();
        },
        play: function (player, e) {
            this.$html.hide();
        },
        pause: function (player, e) {
            // this.$html.show();
        },
        ended: function (player) {
            this.$html.show();
            this.$html.find('.icon-replay').click(function () {
                player.play();
            })
        }
    });


    //视频第一次播放时的流量提示
    var flowTipsHtml = '<div class = "flowTips"><div class = "container"><p class = "desc">播放将消耗21.06MB流量，是否继续播放</p><div class ="flowPlay">继续播放</div></div></div>'
    var flowTipsComponent = Aliplayer.Component({
        init: function (adAddress, toAddress) {
            this.adAddress = adAddress;
            this.toAddress = toAddress;
            this.$html = $(flowTipsHtml);
        },
        created(player, el) {
            var This = this;
            this.$html.find('.flowPlay').click(function () {
                player.play()
                This.$html.hide()
            })
        },
        createEl: function (el) {
            var cover = $($(el).find('.prism-cover')[0]).css("background-image").split("\"")[1];
            var This = this;
            this.$html.css("background-image", "url('" + cover + "')")

            $(el).click(function () {
                Aliplayer.util.stopPropagation();
            });

            $(el).append(this.$html);

        },
        ready: function (player, e) {
            var This = this;
        },
        play: function (player, e) {

        },
        pause: function (player, e) {
            this.$html.hide();
        },
        ended: function (player) {
            this.$html.hide();
        },
        toPlay: function (player, el) {
            // console.log('this-test', this, player)
        }
    });
    // 初始化音视频
    function initPlayVideo() {
        $('.player-con').each(function (index, item) {
            var playId = $(item).attr('id');
            var videorid = $(item).attr('videorid')

            getPlayVideoAuth(videorid).then(function (res) {
                var data = res.data;
                initOpenInstall(data.videoMeta.duration, data.videoMeta.size, data.videoMeta.videoId)
                var player = new Aliplayer({
                    id: playId,
                    // source: "http://player.pier39.cn/video/editor.mp4",
                    width: "100%",
                    height: "252px",
                    cover: 'https://img.alicdn.com/tps/TB1EXIhOFXXXXcIaXXXXXXXXXXX-760-340.jpg',
                    vid: data.videoMeta.videoId,
                    playauth: data.playAuth,
                    /* 设置封面时需要将 autoplay 和 preload 设置为 false */
                    autoplay: false,
                    preload: false,
                    language: "zh-cn",
                    controlBarVisibility: 'always',
                    isLive: false,
                    components: [{
                        name: 'videoEndSetComponent',
                        type: videoEndSetComponent,
                        args: ['http://img3.mukewang.com/5c21e60d0822d58e06000338-240-135.jpg']
                    }, {
                        name: 'flowTipsComponent',
                        type: flowTipsComponent,
                        args: ['http://img3.mukewang.com/5c21e60d0822d58e06000338-240-135.jpg']
                    }],
                    skinLayout: [
                        // {name: "bigPlayButton", align: "blabs", x: 20, y: 60},
                        {
                            name: "controlBar",
                            align: "blabs",
                            x: 0,
                            y: 0,
                            children: [{
                                    name: "progress",
                                    align: "tlabs",
                                    x: 0,
                                    y: 0
                                },
                                {
                                    name: "playButton",
                                    align: "tl",
                                    x: 15,
                                    y: 16
                                },
                                {
                                    name: "timeDisplay",
                                    align: "tl",
                                    x: 10,
                                    y: 24
                                },
                                {
                                    name: "fullScreenButton",
                                    align: "tr",
                                    x: 20,
                                    y: 25
                                },
                                //   {name: "volume", align: "tr", x: 20, y: 25},
                            ]
                        }
                    ]
                }, function (player, _el) {

                    // document.querySelector(".time-bound").style.display = "none"
                });

                player.on('play', function() {
                    var $bar = $('#' + playId).find('.prism-controlbar')
                    $bar.hide()
                })
                
                $('#' + playId).find('video').click(function(e) {
                    if (player.getStatus() === 'pause') {
                        return
                    }
        
                    e.stopPropagation()
                    var $bar = $('#' + playId).find('.prism-controlbar')
                    $bar.toggle()
                })

                players.push({
                    player: player,
                    stop: function(player) {
                        player.pause()
                    }
                })

                // 处理播放器样式
                $('.prism-progress-cursor img').attr('src', 'https://static.77du.net/template/news/image/dragcursor.png')
            }).catch(function(err) {
                console.log(err, 'err')
            })

        })

        $('.j-play-wrapper-previewbox').css({
            position: 'fixed',
            left: '-9999px',
            width: '375px!important',
            height: '200px'
        })

        $('.j-play-wrapper-preview').each(function(index, item) {
            var playId = $('.j-play-wrapper-previewbox').attr('id')
            var videorid = $('.j-play-wrapper-previewbox').attr('data-videorid')
            getPlayVideoUrl(videorid).then(function(res){
                var data = res.data;
                initOpenInstall(data.duration, data.size, data.playId)
                var player = new Aliplayer({
                    id: playId,
                    source: data.fileUrl,
                    width: "100%",
                    height: "252px",
                    // cover: 'https://img.alicdn.com/tps/TB1EXIhOFXXXXcIaXXXXXXXXXXX-760-340.jpg',
                    // vid:data.videoMeta.videoId,
                    // playauth : data.playAuth,
                    /* 设置封面时需要将 autoplay 和 preload 设置为 false */
                    autoplay: false,
                    preload: false,
                    language: "zh-cn",
                    isLive: false,
                    mediaType: 'audio',
                }, function (player) {
                    // $(item).css("background-image","url('')");
                    // document.querySelector(".time-bound").style.display = "none"
                });

                players.push({
                    player: player,
                    stop: function(player) {
                        player.pause()
                        $('.j-play-wrapper-preview').find('.j-play-icon').removeClass('active')
                    }
                })

                player.on('canplay', function() {
                    player.play()
                    $('.j-play-wrapper-preview').find('.j-play-icon').addClass('active').removeClass('loading')
                    setPercent()

                    if (typeof jsHandler != 'undefined') {
                        jsHandler.stopAliMediaPlayer()
                    }
                })

                player.on('pause', function() {
                    $('.j-play-wrapper-preview').find('.j-play-icon').removeClass('active')
                })
                
                var timer = null
                var setPercent = function() {
                    timer = setInterval(function() {
                        var status = player.getStatus()

                        if (status === 'loading') {
                            try {
                                if (typeof jsHandler != 'undefined') {
                                    jsHandler.stopAliMediaPlayer()
                                }
                            } catch (error) {}
                            
                            $('.j-play-wrapper-preview').find('.j-play-icon').addClass('loading')
                            return
                        }

                        if (!(status === 'playing' || status === 'ready')) return

                        var currentTime = player.getCurrentTime()
                        var duration = player.getDuration()
                        var percent = Math.ceil(currentTime / duration * 100)
                        $('.j-play-wrapper-preview').find('.j-percent').css({
                            width: percent + '%'
                        })
                    }, 500)
                }

                $('.j-play-wrapper-preview').find('.j-play-icon').click(function() {
                    clearInterval(timer)
                    var status = player.getStatus()

                    if (status === 'loading' || status === 'init') {                       
                        $('.j-play-wrapper-preview').find('.j-play-icon').addClass('loading')
                    }
                    
                    if (status === 'playing' || status === 'ready') {
                        player.pause()
                        $(this).removeClass('active')
                    } else {
                        player.play()
                        $(this).addClass('active')
                        setPercent()

                        if (typeof jsHandler != 'undefined') {
                            jsHandler.stopAliMediaPlayer()
                        }
                    }
                })
            }).catch(console.log)
        })
    }

    // 获取视频播放凭证
    function getPlayVideoAuth(videoId) {
        var params = {
            url: playAuth,
            method: 'GET',
            data: {
                videoId: videoId
            }
        };

        return new Promise(function (resolve, reject) {

            fetch(params, function (res) {
                if (res.code == '000000') {
                    resolve(res)
                } else {
                    // var oConfirm = new createDialog({
                    //     'content': '网络异常',
                    //     'callBack': function () {
                    //         oConfirm.closeTpl();
                    //     }
                    // })
                }
            });
        })

    }

    // 获取视频播放url
    function getPlayVideoUrl(videoId) {
        var params = {
            url: playUrl,
            method: 'GET',
            data: {
                videoId: videoId
            }
        };
      
        return new Promise(function(resolve, reject){
          
            fetch (params, function (res) {
                if (res.code == '000000') {
                    resolve(res)
                } else {
                    // var oConfirm = new createDialog({
                    //     'content': '网络异常',
                    //     'callBack': function () {
                    //         oConfirm.closeTpl();
                    //     }
                    // })
                }
            });
        })

    }

    //初始加载
    function pageInit() {
        _getCommentList();
        // checkArticleHeight()
    }

    //检测手机型号
    function checkAgent() {
        var u = navigator.userAgent,
            app = navigator.appVersion;
        var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
        var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
        if (isAndroid) {
            return 'Android'
        }
        if (isIOS) {
            return 'IOS'
        }
    }

    bindSubjectPraise();
    bindReadAllComment();
    bindCommentDetail();
    bindCommentStar();
    bindDelComment();
    bindShare();
    bindJumpLink();
    bindExhRec();
    bindSofa();
    H5handler();
    getIsPraise();
    getNewsFocus()
    getNewsLike();
    initPlayVideo()
    pageInit();


    //收集所有图片
    var bodyAllPic = $('img');
    var bodyAllPicIdxArr = []
    $('.newsContainer img').click(function () {
        var index = $('.newsContainer img[imagerid]').index($(this));

        // bodyAllPic.each(function (index, item) {
        //     bodyAllPicIdxArr.push(index)
        // })

        jsHandler.showImageGallery(index)
    })

    $("title").text($('.j-title-hock').text())


    //查找p元素含有<br>元素
    $("p br:only-child").remove();

    //免责声明

    $('.newsInfo .weixin').click(function () {
        var $this = $(this);
        if ($this.hasClass('active')) {
            $this.removeClass('active');
            $('.disclaimer .weixin').removeClass('active')

        } else {
            $this.addClass('active');
            $('.disclaimer .weixin').addClass('active')

        }
    })

})


//微信分享
$(function () {

    $.ajax({

        url: 'https://api.jjrw.com/passport/config/weixin',
        dataType: 'json',
        type: 'POST',
        async: true,
        headers: {
            r: new Date().getTime(),
        },
        data: {
            url: encodeURIComponent(location.href),
            source: 4
        },
        success: function (data) {


            wx.config({


                appId: data.data.appid, // 必填，公众号的唯一标识

                timestamp: data.data.timestamp, // 必填，生成签名的时间戳

                nonceStr: data.data.nonceStr, // 必填，生成签名的随机串

                signature: data.data.signature, // 必填，签名，见附录1

                jsApiList: [

                    "onMenuShareTimeline",

                    "onMenuShareAppMessage", //分享给好友

                    "onMenuShareQQ",

                    "onMenuShareWeibo",

                    "onMenuShareQZone"

                ]

            });


            var img_url = encodeURI("https://www.77du.net/77du.png");


            wx.ready(function () {
                //分享好友

                var shareData = {

                    title: $('.j-title-hock').text(),

                    desc: $(".abstract p").text(),

                    dataUrl: '',

                    type: 'link',

                    imgUrl: img_url,

                    link: location.href.split("#")[0],
                    success: function () {},
                    cancle: function () {}

                };

                wx.onMenuShareAppMessage(shareData);
                wx.onMenuShareTimeline(shareData);

            });

            wx.error(function (err) {})

        },

        error: function (err) {
            console.log('err', err)
        }

    });



});

$(document).ready(function() {
    var prevTop = $(document).scrollTop()
    var timer
    !deviceId && $(window).scroll(function(e) {
        clearTimeout(timer)

        var top = $(document).scrollTop()
        if (top > prevTop) {
            // $('.j-bottom-download-app').hide()
            $('.j-download-app').hide()
        } else {
            // $('.j-bottom-download-app').show()
            $('.j-download-app').show()
        }

        prevTop = top

        timer = setTimeout(function() {
            $('.j-download-app').show()
        }, 2000)
    })
})

function isWeixin(){
    var ua = navigator.userAgent.toLowerCase()
    return ua.match(/MicroMessenger/i) == 'micromessenger'
}

function hackBackToHome() {
    if (!isWeixin() || document.referrer) return
// 
    // if (window.wx && wx.miniProgram) return

    wx.miniProgram.getEnv((res)=>{
        if (!res.miniprogram) {
            var currentUrl = window.location.href

            history.replaceState(null, null, 'https://www.77du.net/news-main/index.html')
            history.pushState(null, null, currentUrl)

            window.onpopstate = function() {
                setTimeout(function() {
                    window.location.reload()
                }, 20)
            }
        }
    })

    // var currentUrl = window.location.href

    // history.replaceState(null, null, 'https://www.77du.net/news-main/index.html')
    // history.pushState(null, null, currentUrl)

    // window.onpopstate = function() {
    //     setTimeout(function() {
    //         window.location.reload()
    //     }, 20)
    // }
}
hackBackToHome()