var deviceId = '';
    
if (typeof jsHandler != 'undefined') {
    deviceId = jsHandler.getDeviceId();
}

$(function(){
  
    var exhApi = 'https://api.77du.net/mobileapi//exhibition'
    var prefix = 'https://static.77du.net/view/'
    
    

    //设置图片未加载时候的默认背景
    var $oDiv = $('body')
    function setImageWrapperHeight() {
        $('.pgc-img-wrapper img').each(function (index, pic) {
    
            var ratio = pic.getAttribute('data-ratio')
            if (ratio) {
                var height = Number(ratio) * $oDiv.width()
                $(pic).parent().css({
                    'height': height
                })
                console.log('mo-height', height)
            }
        
        })
    }
    setImageWrapperHeight()

    $(window).resize(function() {
        setImageWrapperHeight()
    })
    
    var offset = 0;
    //判断img是否出现在可视窗口
    function _isShow(el) {
        var coords = el.getBoundingClientRect();
    
        return (coords.left >= 0 && coords.left >= 0 && coords.top) <= (document.documentElement.clientHeight || window.innerHeight) + parseInt(offset) + 400;
    };
    
    $('.newsContainer img').each(function (index, img) {
        var src = img.getAttribute('src')
        if (src) {
            img.setAttribute('data-src', src)
            img.src = ''
        }
    })
    
    function loadImg(img) {
        var show = _isShow(img)
        if (show) {
            var src = img.getAttribute('data-src')
            var oNowSrc = img.getAttribute('src')
            if (!oNowSrc) {
                var oImg = new Image();
                oImg.src = src;
                oImg.onload = function () {
                    img.src = src
                    $(img).animate({
                        'opacity': 1
                    }, 500)
                }
            }
        }
    }
    
    $('.newsContainer img').each(function (index, img) {
        loadImg(img)
    })
    // 图片懒加载
    $('.newsContainer img').each(function (index, img) {
        
        $('#div1').scroll(function () {
            loadImg(img)
        })
        $(document).scroll(function () {
            loadImg(img)
        })
    })
    
    if (deviceId) {
        initNativeShare()
        $('.j-share').show()
        $('.j-share').click(function() {
            showShare()
            // var id = $('body').attr('data-id')
            // var shareData = {
            //     title: $('.j-title-hock').text(),
            //     shareDescription: $(".abstract p").text(),
            //     linkUrl: 'https://www.77du.net/exhibition/activity/' + id + '.html',
            //     shareType: 0,
            //     previewImgUrl: 'https://www.77du.net/77du.png'
            // }

            // jsHandler.shareWithInfo(JSON.stringify(shareData))
        })

        // $('.newsContainer img').click(function () {
        //     var index = $('.newsContainer img[imagerid]').index($(this));
        //     // bodyAllPic.each(function (index, item) {
        //     //     bodyAllPicIdxArr.push(index)
        //     // })
    
        //     jsHandler.showImageGallery(index)
        // })
    } else {
        getNewsFocus()
        $('.j-download-app').show()
    }
    $('.fixed-wrapper').show()

    $('.j-enroll').click(function() {
        var url = getEnrollUrl()
        if (typeof jsHandler !== 'undefined' && jsHandler.openUrlWithNative) {
            jsHandler.openUrlWithNative(url)
        } else {
            window.location.href = url
        }
    })

    function initNativeShare() {
        $('.j-share-wrapper').click(function(e) {
            e.stopPropagation()
        })

        $('.j-share-cancel').click(function() {
            hideShare()
        })

        $('.j-fixed-share-wrapper').click(function() {
            hideShare()
        })

        $('.j-share-wrapper .share-item').click(function() {
            var type = $(this).attr('data-type')
            var data = {
                wx: {
                    type: 0,
                    subType: 0
                },
                wxComment: {
                    type: 0,
                    subType: 1
                },
                wb: {
                    type: 2,
                    subType: 0
                },
                qq: {
                    type: 1,
                    subType: 0
                },
                qzone: {
                    type: 1,
                    subType: 1
                }
            }

            var id = $('body').attr('data-id')
            var shareData = {
                title: $('.j-title-hock').text(),
                shareDescription: $(".abstract p").text(),
                linkUrl: 'https://www.77du.net/exhibition/activity/' + id + '.html',
                shareType: data[type].subType,
                previewImgUrl: 'https://www.77du.net/77du.png'
            }

            jsHandler.shareWithInfo(data[type].type, JSON.stringify(shareData))
        })
    }
    function showShare() {
        $('.j-fixed-share-wrapper').fadeIn()
        $('.j-share-wrapper').addClass('active')
    }

    function hideShare() {
        $('.j-fixed-share-wrapper').fadeOut()
        $('.j-share-wrapper').removeClass('active')
    }

    //获取焦点新闻
    function getNewsFocus() {

        var bodyWidth = $oDiv.width() > 608 ? 608 : $oDiv.width();
        if (!deviceId) {
            $.ajax({
                url: 'https://api.77du.net/mobileapi/news/focus',
                method: 'GET',
                dataType: 'json',
                success: function (res) {
                    if (res.code == '000000') {
                        var list = res.list;
                        $('.downloadApp').show();
                        var liStr = ''
                        if (bodyWidth == 608) {
                            $('.downloadApp').css({
                                'left': '50%',
                                'max-width': '608px',
                                'margin-left': '-304px'
                            })
                        }
                        for (var i = 0; i < list.length; i++) {
                            liStr += '<div class="swiper-slide"><a href = "http://www.77度.com/news/' + list[i].contentId + '.html"><p>' + list[i].title + '</p></a></div>'
                        }
    
                        $('.downloadApp .swiper-wrapper').append($(liStr))
                        var downLoadSwiper = new Swiper('.downloadApp .swiper-container', {
                            on: {
                                slideChange: function () {
    
                                    if (this.realIndex == 0) {
                                        $('#j-nowOpenApp-hock').hide();
                                        $('#j-downLoadApp-hock').show()
                                    } else {
                                        $('#j-nowOpenApp-hock').show();
                                        $('#j-downLoadApp-hock').hide()
                                    }
    
                                },
                            },
                            loop: true,
                            autoplay: true,
                            pagination: {
                                el: '.swiper-pagination',
                                clickable: true,
                            },
    
                            navigation: {
                                nextEl: '.swiper-button-next',
                                prevEl: '.swiper-button-prev',
                            },
    
                        });
                    }
    
                }
            })
        }
    }
})

function getEnrollUrl() {
    var id = $('body').attr('data-id')
    var exhibitionId = $('body').attr('data-exhibitionId')

    var url = 'https://www.77du.net/exhibition/activity/signup/index.html?exhibitionId=' + exhibitionId + '&id=' + id

    return url
}

//微信分享
$(function () {
    $.ajax({
        url: 'https://api.jjrw.com/passport/config/weixin',
        dataType: 'json',
        type: 'POST',
        async: true,
        headers: {
            r: new Date().getTime(),
        },
        data: {
            url: encodeURIComponent(location.href),
            source: 4
        },
        success: function (data) {
            wx.config({
                debug: /debug/.test(window.location.href),
                appId: data.data.appid, // 必填，公众号的唯一标识
                timestamp: data.data.timestamp, // 必填，生成签名的时间戳
                nonceStr: data.data.nonceStr, // 必填，生成签名的随机串
                signature: data.data.signature, // 必填，签名，见附录1
                jsApiList: [
                    "onMenuShareTimeline",
                    "onMenuShareAppMessage", //分享给好友
                    "onMenuShareQQ",
                    "onMenuShareWeibo",
                    "onMenuShareQZone"
                ]
            });

            var img_url = encodeURI("https://www.77du.net/77du.png");

            wx.ready(function () {
                //分享好友
                var shareData = {
                    title: $('.j-title-hock').text(),
                    desc: $(".abstract p").text(),
                    dataUrl: '',
                    type: 'link',
                    imgUrl: img_url,
                    link: location.href,
                    success: function () {},
                    cancle: function () {}
                };
                wx.onMenuShareAppMessage(shareData);
                wx.onMenuShareTimeline(shareData);
            });
            wx.error(function (err) {})
        },
        error: function (err) {
            console.log('err', err)
        }
    });
});

$(document).ready(function() {
    var prevTop = $(document).scrollTop()
    var timer
    !deviceId && $(window).scroll(function(e) {
        clearTimeout(timer)

        var top = $(document).scrollTop()
        if (top > prevTop) {
            // $('.j-bottom-download-app').hide()
            $('.j-download-app').hide()
        } else {
            // $('.j-bottom-download-app').show()
            $('.j-download-app').show()
        }

        prevTop = top

        timer = setTimeout(function() {
            $('.j-download-app').show()
        }, 2000)
    })
})
