var NEWAPI = 'https://api.77du.net/mobileapi'
var BIDINGPI = 'https://api.77du.net/mobileapi'
var getCommentList = BIDINGPI + '/biding/comment';
var subjectPraise = BIDINGPI + '/biding/praise'; //新闻点赞
var commentPraise = BIDINGPI + '/biding/comment/praise'; //评论点赞
var delComment = BIDINGPI + '/biding/comment'; //删除评论
var newsFocus = NEWAPI + '/news/focus'; // 详情页焦点新闻


var prefix = 'https://static.77du.net/view/';
var recomends = BIDINGPI+'/biding/project/recomends'
var deviceId = '';

if (typeof jsHandler != 'undefined') {
    
        deviceId = jsHandler.getDeviceId();
    
    }
    
$(function () {
    //设置文章标题
    $('#j-newTitel-hock').text('文章标题')
    var $cusSwiper = $('.cus-swiper');
    //遍历所有图集，然后组装生成完整的轮播图结构
    $cusSwiper.each(function (index, swiper) {
        var $imgs = $(swiper).find('img');

        $imgs.each(function (index, img) {
            $(img).wrap('<div class="swiper-slide"/>')
        })

        $(swiper).find('.swiper-slide').wrapAll('<div class="swiper-wrapper" />')
        $(swiper).find('.swiper-wrapper').wrapAll('<div class="swiper-container" />')
        var $picNum = $('<span class="picNum groupImage" contenteditable="false">' +
            '<span contenteditable="false" class="nowPicNum">1</span>/<span class="allPicNum"></span>' +
            '</span>')
        $(swiper).find('.swiper-container').addClass('tabBanner')
        $(swiper).find('.swiper-container').append($picNum)
    });

    var $oDiv = $('#div1');
    var bodyWidth = $oDiv.width() > 608 ? 608 : $oDiv.width();
    console.log('bodyWidth', bodyWidth)
    var setSwiperHeight = function () {
        var $aSwiper = $('.swiper-wrapper');

        $aSwiper.each(function (index, swiper) {

            var $img = $($(swiper).find('img')[0]);
            var ratio = $img.data('ratio');
            var height = ratio * bodyWidth
            console.log('ok~~', swiper, height)
            // $('.weRead').append('height'+height)
            $(swiper).css({
                'height': height
            })

        })
    }

    setTimeout(function () {
        setSwiperHeight()
    }, 20)

    //设置图片未加载时候的默认背景
    $('.pgc-img-wrapper img').each(function (index, pic) {

        var ratio = pic.getAttribute('data-ratio')
        if (ratio) {
            var height = Number(ratio) * bodyWidth
            $(pic).parent().css({
                'height': height
            })
            console.log('mo-height', height)
        }

    })

    var offset = 0;
    //判断img是否出现在可视窗口
    function _isShow(el) {
        var coords = el.getBoundingClientRect();

        return (coords.left >= 0 && coords.left >= 0 && coords.top) <= (document.documentElement.clientHeight || window.innerHeight) + parseInt(offset) + 400;
    };

    $('.newsContainer img').each(function (index, img) {
        var src = img.getAttribute('src')
        if (src) {
            img.setAttribute('data-src', src)
            img.src = ''
        }
    })


    function loadImg(img) {
        var show = _isShow(img)
        if (show) {
            var src = img.getAttribute('data-src')
            var oNowSrc = img.getAttribute('src')
            if (!oNowSrc) {
                var oImg = new Image();
                oImg.src = src;
                oImg.onload = function () {
                    img.src = src
                    $(img).animate({
                        'opacity': 1
                    }, 500)
                }
            }
        }
    }
    $('.newsContainer img').each(function (index, img) {
        loadImg(img)
    })
    // 图片懒加载
    $('.newsContainer img').each(function (index, img) {
        $('#div1').scroll(function () {
            loadImg(img)
        })
        $(document).scroll(function () {
            loadImg(img)
        })
    })


    var $allImg = $('#div1').find('img');

    $allImg.each(function (index, img) {
        var $img = $(img)
        var ratio = $img.data('ratio');
        $img.css({
            'height': ratio * bodyWidth
        })
    })

    //渲染评论列表
    var renderCommentList = function (item) {
        var replyStr = '';
        var replyCom = ''


        if (typeof item.replys != 'undefined') {
            for (var i = 0; i < item.replys.length; i++) {
                var reply = item.replys[i];
                var p = '<p class="person">' + reply.userName + ':' + reply.intro + '</p>';
                replyStr += p;
            }
            if (item.replys.length) {
                replyCom = '<div class = "replyCom">' + replyStr + '</div>';
            }
        }
        var tplStr = '<div class="item clearfix">' +
            '                <img src="' + item.avatar + '" class="avatar">' +
            '                <div class="desc">' +
            '                    <h4 class="title">' + item.userName + '<span class="fr">';

        var praise = ''
        if (item.isPraise) {
            if (item.praisedNumber == '0') {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class ="active"></i><span class = "starNum">赞</span></span></span></h4>'
            } else {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class ="active"></i><span class = "starNum">' + item.praisedNumber + '</span></span></h4>'
            }

        } else {
            if (item.praisedNumber == '0') {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class =""></i><span class = "starNum">赞</span></span></span></h4>'
            } else {
                praise = '<span class="zan j-commentStar-hock" data-commentid="' + item.id + '" ><i class =""></i><span class = "starNum">' + item.praisedNumber + '</span></span></h4>'
            }

        }


        tplStr += praise

        var delReply = '';
        if (item.isCanDelete) {
            delReply = '<span class="fr j-delComment-hock" data-commentid="' + item.id + '">删除</span>'
        } else {
            // delReply = '<span class="fr j-delComment-hock" data-commentid="' + item.id + '">删除</span>'
        }
        var strTwo = '<div class="j-commentDetail-hock" data-commentid="' + item.id + '"><p class="mainCom">' +
            item.intro +
            '                    </p>' +
            '                    <p class="bottomInfo">' +
            '                        <span class="fl">' + item.addTimes + '</span>' +
            '                        <span class="fl">' +
            '                            <span class="reply">' + (item.replyCount && (item.replyCount != 0) ? item.replyCount : '') + '回复' + '</span>' +
            '                        </span>' + delReply + '</p>' +
            '</div>' +
            replyCom +
            '                </div>' +
            '            </div>';

        tplStr += strTwo
        return tplStr

    }

    //元素调用加载新评论
    window.appendComment = function (commentId) {

        var subjectId = $($('.videoWrap')[0]).data('id');
        var params = {
            url: getCommentList,
            // url:'https://api.jjrw.com/toutiao-mobile-rest/subject/comment',
            method: 'GET',
            data: {
                index: 1,
                size: 10,
                subjectId: subjectId
                // subjectId:'724519197278732288'
            }
        }

        // $('tit').appendChild(JSON.stringify(params))

        fetch(params, function (res) {
            if (res.code == '000000') {
                var list = res.data.content;
                var total = Number(res.data.total)
                var allStr = ''
                for (var i = 0; i < list.length; i++) {
                    var item = renderCommentList(list[i]);
                    allStr += item
                }

                $('.commentList').html(allStr)
                bindCommentDetail();
                bindCommentStar();
                bindDelComment();
                var scrollHeight = document.body.scrollHeight;
                var clientHeight = $(window).height();
                var oCommentTop = $(".commentList").offset().top;
                if (scrollHeight + clientHeight > oCommentTop) {
                    $("html,body").animate({
                        scrollTop: oCommentTop - 100
                    }, 600);
                }

                if (total) {
                    // $('.no-readComment').hide();
                    $('.j-comment').eq(0).hide()
                    $('.readComment').show().text('查看全部' + total + '条评论')
                } else {
                    // $('.no-readComment').show();
                    $('.readComment').hide();
                    $('.j-comment').eq(0).show()

                }
                $('.j-comment').eq(1).hide()
                $('.no-readComment').show();
            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })
    }
    // appendComment()

    //查看所有评论
    function bindReadAllComment() {
        $('#j-readAllComment-hock').click(function () {
            var $this = $(this);
            var newid = $this.data('newid');
            // $('.title').text(newid)

            if (typeof jsHandler != 'undefined') {
                typeof jsHandler.toBidCommentList !== 'undefined'
                    ? jsHandler.toBidCommentList(newid)
                    : jsHandler.toCommentList(newid)
            }
        })
    }

    //查看评论详情
    function bindCommentDetail() {
        $('.j-commentDetail-hock').click(function () {

            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');

            // $('.title').text(commentid)
            if (typeof jsHandler != 'undefined') {
                jsHandler.toCommentDetails(commentid);
            }
        })
    }

    //删除评论
    function bindDelComment() {
        $('.j-delComment-hock').click(function (event) {

            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');
            var params = {
                url: delComment + '?id=' + commentid,
                method: 'DELETE',
            }

            var oConfirm = new createDialog({
                'type': 'confirm',
                'content': '确定删除此评论',
                'btnSureText': '删除',
                'callBack': function () {
                    oConfirm.closeTpl();
                    fetch(params, function (res) {
                        if (res.code == '000000') {
                            $this.parent().parent().parent().parent().remove();
                        } else {
                            // oConfirm = new createDialog({
                            //     'content': '网络异常',
                            //     'callBack': function () {
                            //         oConfirm.closeTpl();
                            //     }
                            // })
                        }
                    })
                }
            });

            event.stopPropagation();
            return false
        })

    }

    //评论点赞
    function bindCommentStar() {
        $('.j-commentStar-hock').click(function (event) {
            var $this = $(this);
            var commentid = $this.get(0).getAttribute('data-commentid');


            if (!$this.find('.active').length) {
                var params = {
                    url: commentPraise + '?commentId=' + commentid,
                    method: 'POST',
                }

                fetch(params, function (res) {

                    if (res.code == '000000') {
                        var starNum = $this.find('.starNum').text();
                        $this.find('i').addClass("active");
                        if (starNum == '赞') {
                            $this.find('.starNum').text(1)
                        } else {
                            $this.find('.starNum').text(Number(starNum) + 1)
                        }
                    } else {}

                })
            } else {
                var params = {
                    url: commentPraise + '?commentId=' + commentid,
                    method: 'DELETE'
                }

                fetch(params, function (res) {

                    if (res.code == '000000') {
                        $this.find('i').removeClass("active");
                        var starNum = $this.find('.starNum').text();
                        if (starNum == '赞') {
                            $this.find('.starNum').text('赞')
                        } else {
                            if ((Number(starNum) - 1) == 0) {

                                $this.find('.starNum').text('赞')
                            } else {
                                $this.find('.starNum').text(Number(starNum) - 1)
                            }

                        }
                    } else {}

                })
            }
            event.stopPropagation();
            return false
        })
    }

    //新闻点赞
    function bindSubjectPraise() {
        $('#j-subjectPraise-hock').click(function () {
            var $this = $(this);
            var subjectId = $this.data('newid');


            //取消赞
            if ($this.hasClass('active')) {
                // alert('取消赞')
                var subjectId = $this.data('newid');

                var params = {
                    url: subjectPraise + '?id=' + subjectId,
                    method: 'DELETE',
                }

                fetch(params, function (res) {
                    // alert(JSON.stringify(res))
                    if (res.code == '000000') {
                        if (res.data.isPraised) {
                            $this.addClass("active");
                        } else {
                            $this.removeClass("active");

                        }
                        if (res.data.praisedNumber == '0') {

                            $('.j-subjectPraise-num').text('')
                        } else {
                            $('.j-subjectPraise-num').text(res.data.praisedNumber)
                        }
                    } else {

                    }

                })

            } else {
                // alert('赞')
                var params = {
                    url: subjectPraise + '?id=' + subjectId,
                    method: 'POST',
                }
                fetch(params, function (res) {
                    // alert(JSON.stringify(res))
                    if (res.code == '000000') {
                        $this.addClass("active")
                        $('.j-subjectPraise-num').text(res.data.praisedNumber)
                    } else {

                    }

                })

            }

        })
    }

    //分享到朋友圈和微信
    function bindShare() {
        $('.j-share-hock').click(function () {

            var $this = $(this);
            var type = Number($this.data('type'));
            var shareType = Number($this.data('sharetype'))
            var newsId = $('#j-subjectPraise-hock').data('newid');
            var title = $('.j-title-hock').text();
            var intro = $('.abstract p').text();
            var info = {
                "title": title,
                "shareDescription": intro,
                "linkUrl": 'http://www.xn--77-792d.com/news/' + newsId + '.html',
                "shareType": shareType,
                "previewImgUrl": "https://www.77du.net/77du.png"
            }

            if (typeof (jsHandler) !== 'undefined') {

                jsHandler.shareWithInfo(type, JSON.stringify(info));

            } else {}
        })
    }


    //获取评论列表
    function _getCommentList() {

        var subjectId = $('#j-readAllComment-hock').data('newid');

        var params = {
            url: getCommentList,
            method: 'GET',
            data: {
                index: 1,
                size: 5,
                subjectId: subjectId
                // subjectId:'732059500252495872'
            }
        }


        fetch(params, function (res) {
            if (res.code == '000000') {
                var list = res.data.content;
                var total = Number(res.data.total);
                var allStr = ''
                for (var i = 0; i < list.length; i++) {
                    var item = renderCommentList(list[i]);
                    allStr += item
                }

                $('.commentList').html(allStr)
                bindCommentDetail();
                bindCommentStar();
                bindDelComment();

                if (total) {
                    // $('.no-readComment').hide();
                    $('.j-comment').eq(0).hide()
                    $('.j-comment').eq(1).show()
                    if (!deviceId) {
                        $('.readMore').show();
                    }

                    typeof jsHandler != 'undefined' && $('.readComment').show().text('查看全部' + total + '条评论')

                } else {
                    // $('.no-readComment').show();
                    $('.j-comment').eq(0).show()
                    $('.j-comment').eq(1).hide()
                }
                $('.no-readComment').show()

            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })
    }

    //跳转
    function bindJumpLink() {
        //反馈
        $('.linkToFeedback').click(function () {
            jsHandler.toFeedBack()
        })
        //报道
        $('.linkToBaoDao').click(function () {
            jsHandler.toReport()
        })

        $('.writeWrap').click(function(){
            jsHandler.toBurst()
        })

        //在线投稿爆料
        $('.onlineConcact').click(function () {
            jsHandler.toBurst()
        })

        //点击音频跳转
        $('.audio').click(function(){
            var agent = checkAgent();
           
            if (agent == 'Android') {
                window.location.href = "http://a.app.qq.com/o/simple.jsp?pkgname=com.qiqidu.mobile"
            } else {
                window.location.href = "itms-apps://itunes.apple.com/cn/app/id1438339209?mt=8"
            }
        })

    }


    //展会推荐
    function bindExhRec(){
        
                if(!deviceId){
                    $('.recommendList').remove();
                }
        
                $('.recommendList').delegate('li','click',function(){
        
                    var $this = $(this);
                    var contentType = $($this.find('div')[0]).data('contenttype');
                    var id = $($this.find('div')[0]).data('id');
                    var contentSubType = Number($($this.find('div')[0]).data('contentsubtype'));
                    var mediaType = Number($($this.find('div')[0]).data('mediatype'));
                
                    jsHandler.openNativePage(contentType, contentSubType, id, mediaType ,0,0,0,0)
        
                })
        
        }
    //

    function bindLinkProject(){

        //在线投稿爆料


        $("body").delegate(".card-item","click",function(){
            var $this = $(this);
            var id = $this.data('id');
            if(!id){
                return
            }
            
            window.location.href = "https://api.77du.net/bid-mobileapi/biding/project/"+id+".html"
        });

    }

    //点击沙发唤起键盘
    function bindSofa() {
        $('.sofa').click(function () {

            var newsId = $('#j-subjectPraise-hock').data('newid');
            if (typeof jsHandler != 'undefined') {
                jsHandler.commentWithType(1, newsId)
            }

        })
    }

     //获取焦点新闻
     function getNewsFocus() {


        if (!deviceId) {
            $('.newControl').hide();
            var params = {
                url: newsFocus,
                method: 'GET',
            }

            fetch(params, function (res) {
                if (res.code == '000000') {
                    var list = res.list;
                    $('.downloadApp').show();
                    var liStr = ''
                    if (bodyWidth == 608) {
                        $('.downloadApp').css({
                            'left': '50%',
                            'max-width': '608px',
                            'margin-left': '-304px'
                        })
                    }
                    for (var i = 0; i < list.length; i++) {
                        liStr += '<div class="swiper-slide"><a href = "http://www.77度.com/news/' + list[i].contentId + '.html"><p>' + list[i].title + '</p></a></div>'
                    }

                    $('.downloadApp .swiper-wrapper').append($(liStr))

                    var downLoadSwiper = new Swiper('.downloadApp .swiper-container', {
                        on: {
                            slideChange: function () {

                                if (this.realIndex == 0) {
                                    $('#j-nowOpenApp-hock').hide();
                                    $('#j-downLoadApp-hock').show()
                                } else {
                                    $('#j-nowOpenApp-hock').show();
                                    $('#j-downLoadApp-hock').hide()
                                }

                            },
                        },
                        loop: true,
                        autoplay: true,
                        pagination: {
                            el: '.swiper-pagination',
                            clickable: true,
                        },

                        navigation: {
                            nextEl: '.swiper-button-next',
                            prevEl: '.swiper-button-prev',
                        },

                    });

                    // $('.openApp').click(function () {
                    //     var agent = checkAgent();
                    //     if (agent == 'Android') {
                    //         window.location.href = "http://a.app.qq.com/o/simple.jsp?pkgname=com.qiqidu.mobile"
                    //     } else {
                    //         window.location.href = "itms-apps://itunes.apple.com/cn/app/id1438339209?mt=8"
                    //     }
                    // })
                } else {
                    // var oConfirm = new createDialog({
                    //     'content': '网络异常',
                    //     'callBack': function () {
                    //         oConfirm.closeTpl();
                    //     }
                    // })
                }

            })
        }
    }

    //微信和app不同情况下内容的处理
    function H5handler() {
        if (!deviceId) {
            $('.weixin_guanggao').show();
            $('.openSeven').show();
            $('.disclaimer h4').addClass('weixin')
            $('.disclaimer p').addClass('weixin')
            $('.shareRightTop').show();
            $('.zanWrap').hide();
            $('.writeWrap').hide()
            $('.encourage').hide()
            $('.downloadApp').show()
            $('.j-download-app').show()

            $('.fixed-wrapper').addClass('active')
            setInterval(function() {
                $('.download-app-icon img').toggle()
            }, 3000)
        } else {
            $('.app_guanggao').show();
            $('.onlineConcact').show();

            // $('.biding').css('margin-top', '1.1875rem')
        }
    }


    function renderRecommend(list){
        $('.projectList').html('')
        if(!list.length){
            $('.weRead').remove();
        }
        for(var i =0;i<list.length;i++){
            if(list[i].bidingType=='1'){
                renderBiding(list[i])
            }else if(list[i].bidingType=='2'){
                renderWiding(list[i])
            }else if(list[i].bidingType=='3'){
                renderProject(list[i])
            }
        }
    }

    function renderBiding(item){
                     
        var types = []; 
        item.types.forEach((item,index)=>{
          types.push(item.name)
        })
        var big = '';
        if(item.important){
            big = '<span class = "big">大项目</span>';
        }
      
        var cardItem =   ' <div class="card-item" data-id ="'+item.id+'">'+
        '                <div class="list">'+
        '                    <h4 class="title"><span class="tag">招标</span>'+item.title+'</h4>'+
        '                    <p class="biding-type">采购类型：'+types+'</p>'+
        '                    <p class="biding-type">预算金额：'+item.budgetMoneyFmt+'</p>'+
        '                    <p class="biding-time">报名截止：'+item.registOffTime+'<span class="start '+(item.registOffTimes=='已截止'?'out':'')+'">'+item.registOffTimes+'</span></p>'+
        '                    <p class="biding-time">投标截止：'+item.offTime+'<span class="end '+(item.offTimes=='已截止'?'out':'')+'">'+item.offTimes+'</span></p>'+
        '                </div>'+
        '                <p class="biding-message">投标截止：2019-10-12<span class="que">?</span>'+big+'</p>'+
        '            </div>';

          $('.projectList').append($(cardItem))
    }


    function renderProject(item){
              
        var types = []; 
        item.types.forEach((item,index)=>{
          types.push(item.name)
        })
        var junTime = '';
        if(item.endTime){
            junTime = '竣工时间：'+item.endTime;
        }
      
        var cardItem =  '            <div class="card-item" data-id ="'+item.id+'">'+
        '                <div class="list">'+
        '                    <h4 class="title"><span class="tag">项目</span>'+item.title+'</h4>'+
        '                    <p class="stage">'+
        '                            项目类型：<span>'+types+'</span>'+
        '                        </p>'+
        '                    <p class="info">'+
        '                        <!-- <img class="logo" src="./image/guoqi.png"></span> -->'+
        '                        <span class="address">'+item.address+'</span>'+
        '       '+
        '                        <span class="time">'+item.publishTime+'</span>'+
        '                    </p>'+
        '                </div>'+
        '                <p class="biding-message grey">启动时间：'+item.startTime+'<span class="junTime">'+junTime+'</span></p>'+
        '            </div>';;

          $('.projectList').append($(cardItem))
    }

    function renderWiding(item){
    
            var str = ''
            var companyItem = ''
       
            for(var i = 0;i<item.companys.length;i++){
            
                companyItem+=('<li>* '+item.companys[i]+'</li>')
            }
      
          var company = '<div class = "list">'+
          '                    <h2 class = "biding-company">'+
          '                        中标单位：'+
          '                    </h2>'+
          '                    <ul class ="biding-company-list">'+
          companyItem+
          '                    </ul>'+
          '                    <h2 class = "biding-money">中标金额 ：'+item.winBidMoneyFmt+'</h2>'+
          
          '                </div>'
  
      
            var types = []; 
            item.types.forEach((item,index)=>{
              types.push(item.name)
            })
            var big = '';
            if(item.important){
                big = '<span class = "big">大项目</span>';
            }
          //   console.log('types',types)
            var cardItem = ' <div class="card-item" data-id ="'+item.id+'">'+
            '                <div class="main">'+
            '                    <h4 class="title"><span class="tag">中标</span>'+item.title+'</h4>'+
            '                    <p class="type">'+
            '                        采购类型：<span>'+types.join('、')+'</span>'+
            '                    </p>'+
            '                </div>'+
            company+
            '                <p class="info">'+
            '                    <span class="address">'+item.address+'</span>'+
            '                '+
            '                    <span class="time">'+item.publishTime+'</span>'+
            '                </p>'+
            '            </div>';
  
              $('.projectList').append($(cardItem))

    }


    //初始加载
    function pageInit() {
        _getCommentList();
    }

    //获取列表
    function getRecomends(){
         var params = {
            url: recomends,
            method: 'GET',

        }
        fetch(params, function (res) {
            if (res.code == '000000') {
                console.log('res~~',res)
                renderRecommend(res.list)

                // if(!deviceId){
                //     renderNewsLike(res.list)
                //     bindNewsLinkHandler()
                // }else{
                //     $('.weRead').remove();
                // }

            } else {
                // var oConfirm = new createDialog({
                //     'content': '网络异常',
                //     'callBack': function () {
                //         oConfirm.closeTpl();
                //     }
                // })
            }

        })

        


        
    }

    //检测手机型号
    function checkAgent() {
        var u = navigator.userAgent,
            app = navigator.appVersion;
        var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
        var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
        if (isAndroid) {
            return 'Android'
        }
        if (isIOS) {
            return 'IOS'
        }
    }

    bindSubjectPraise();
    bindReadAllComment();
    bindCommentDetail();
    bindCommentStar();
    bindDelComment();
    bindShare();
    bindJumpLink();
    bindExhRec();
    bindLinkProject();

    bindSofa();
    H5handler();

    // getRecomends();
    $('.weRead').hide()

    getNewsFocus()
    
    pageInit();


    //收集所有图片
    var bodyAllPic = $('img');
    var bodyAllPicIdxArr = []
    $('.newsContainer img').click(function () {
        var index = $('.newsContainer img[imagerid]').index($(this));
        jsHandler.showImageGallery(index)
    })

    // $("title").text($('.j-title-hock').text())


    //查找p元素含有<br>元素
    $("p br:only-child").remove();

    //免责声明

    $('.newsInfo .weixin').click(function () {
        var $this = $(this);
        if ($this.hasClass('active')) {
            $this.removeClass('active');
            $('.disclaimer .weixin').removeClass('active')
        } else {
            $this.addClass('active');
            $('.disclaimer .weixin').addClass('active')

        }
    })


})


//微信分享
$(function () {

    $.ajax({

        url: 'https://api.jjrw.com/passport/config/weixin',
        dataType: 'json',
        type: 'POST',
        async: true,
        headers: {
            r: new Date().getTime(),
        },
        data: {
            url: encodeURIComponent(location.href),
            source: 4
        },
        success: function (data) {


            wx.config({


                appId: data.data.appid, // 必填，公众号的唯一标识

                timestamp: data.data.timestamp, // 必填，生成签名的时间戳

                nonceStr: data.data.nonceStr, // 必填，生成签名的随机串

                signature: data.data.signature, // 必填，签名，见附录1

                jsApiList: [

                    "onMenuShareTimeline",

                    "onMenuShareAppMessage", //分享给好友

                    "onMenuShareQQ",

                    "onMenuShareWeibo",

                    "onMenuShareQZone"

                ]

            });


            var img_url = encodeURI("https://www.77du.net/77du.png");

            console.log('1')

            wx.ready(function () {
                //分享好友
                console.log('weixinready');
                var shareData = {

                    title: $('.biding-title').text(),

                    desc: '',

                    dataUrl: '',

                    type: 'link',

                    imgUrl: img_url,

                    link: location.href.split("#")[0],
                    success: function () {},
                    cancle: function () {}

                };

                wx.onMenuShareAppMessage(shareData);

                wx.onMenuShareTimeline(shareData);

            });

            wx.error(function (err) {})

            console.log('2')
        },

        error: function (err) {
            console.log('err', err)
        }

    });



});

$(document).ready(function() {
    var prevTop = $(document).scrollTop()
    var timer
    !deviceId && $(window).scroll(function(e) {
        clearTimeout(timer)

        var top = $(document).scrollTop()
        if (top > prevTop) {
            // $('.j-bottom-download-app').hide()
            $('.j-download-app').hide()
        } else {
            // $('.j-bottom-download-app').show()
            $('.j-download-app').show()
        }

        prevTop = top

        timer = setTimeout(function() {
            $('.j-download-app').show()
        }, 2000)
    })
})