define(function (require, exports, module) {

    /**判断是否为空**/
    function isBlank(_value) {
        if (_value == null || _value == "" || _value == undefined) {
            return false;
        }
        return true;
    }
    /** 验证真实姓名  **/
    function validateRealName(obj) {
        //验证真实姓名
        var reg = /^[\u4e00-\u9fa5_a-zA-Z]{2,20}$/;
        if (!reg.test(obj.val())) {
            return false
        }
        return true;
    }

    /** 验证公司名  **/
    function validateComName(obj) {
        //验证公司账号
        var reg = /^[\w\W]{2,30}$/;
        if (!reg.test(obj.val())) {
            return false
        }
        return true;
    }

    function validateMobileFiled(obj) {
        //验证电话号码手机号码，包含至今所有号段   
        var reg = /^1\d{10}$/;
        if (!reg.test(obj.val())) {
            return false
        }
        return true
    }


    /** 验证职位  **/
    function validateComPosition(obj) {

        var reg = /^[\d\D]{2,24}$/;
        if (!reg.test(obj.val())) {
            return false
        }
        return true;
    }

    return {
        validateRealName: validateRealName,
        validateComName: validateComName,
        validateMobileFiled: validateMobileFiled,
        validateComPosition: validateComPosition,
        isBlank:isBlank
    }
})